name: tomopy
channels:
  - conda-forge
dependencies:
  - c-compiler
  - cmake
  - cxx-compiler
  - dxchange
  - fftw
  - git
  - h5py
  - ninja
  - numexpr
  - numpy!=1.22.4
  - python=3.8
  - pywavelets
  - scikit-image>=0.17
  - scipy
  - setuptools_scm
  - setuptools_scm_git_archive
  # Optional packages
  - nomkl
  - opencv>=3.4
  - pytest
  - pytest-cov
